Auto Multiple Choice - Bug # 393: Grading scheme of AMCnumericChoice is off

Status: Closed Priority: Normal

Author: Gerhard Blab Category:

Created: 12/03/2015 Assignee:

Updated: 02/02/2016 Due date:

Description: | am using the questions below (either interval or numeric) in a 16-paper random-order test for my students.

| would expect to see 0 or 5 points for the interval questions, and 0, 3, or 5 points for the numerical, in
accordance with their answers.

What | get after scoring is 0, 2, and 5 for interval, and 0, 2, 3, 5 and 7 (!!) points for the numeric ... any ideas
what is wrong here?

<pre>
\element{keplerSkill}{

0\begin{question}{cometApohelinterval}\scoring{e=0,v=0,b=5,m=0}

0\FPeval\FOne{ trunc(1.0 + trunc(random * 3,0),0) }

0\FPeval\FTwo{ trunc(5.0 + 2*trunc(random * 2,0),0) }

0\FPeval\RMin{ (trunc(2 + random * 4,1)) }

0\FPeval\RMax{ ((FOne + FTwo) / (FTwo - FOne) * RMin) }

0\calcQuestion{} A comet with a perihelion (closest distance to the sun) of \RMin ~AU (astronomical units) has
an eccentricity $\epsilon$ of $\frac{\FOne}{\FTwo}$. What is its aphelion (in AU)? Select the right interval.~(5
points)

0\begin{multicols}{4}

0\begin{choices}[0]

00\AMClntervals{\RMax}{2}{25}{2}

0\end{choices}

0\end{multicols}

0\end{question}

}

\element{keplerSkill}{

0\begin{questionmultx}{cometApohelNumChoice}

0\FPeval\FOne{ trunc(1 + trunc(random * 3,0),0) }

0\FPeval\FTwo{ trunc(5 + 2*trunc(random * 2,0),0) }

0\FPeval\RMin{ trunc(2 + random * 4,1) }

0\FPeval\RMax{ ((FOne + FTwo) / (FTwo - FOne) * RMin) }

0\calcQuestion{} A comet with a perihelion (closest distance to the sun) of \RMin~AU (astronomical units) has
an excentricity $\epsilon$ of $\frac\FOne\FTwo$. What is its apohelion (in AU)? Calculate the value to one
decimal.~(5 points)

0\AMCnumericChoices{\RMax}{digits=3,decimals=1,sign=true,
00 borderwidth=0pt,backgroundcol=white, exact=2, approx=>5,
00scoreexact=5, scoreapprox=3}

0\end{questionmultx}

}

</pre>

History

12/03/2015 05:50 pm - Gerhard Blab
After realizing that the scoring of the /AMClnterval and /AMCnumericChoices depended on *where* in the test the question was located, | have changed
the /scoring in two *different* of my questions (from \scoring{mz=2} to \scoring{e=0,v=0,b=2,m=0}), which seems to solve the issue. Still, it is a bug, as

scoring in one question messes up (exclusively) the scoring of following questions!
12/04/2015 01:27 pm - Gerhard Blab

- File source.tex added

- File minimal.tex added

- File DOC-sujet.pdf added

- File QuizTestMinimal.csv added

| have generated a sort of 'minimal’ version of the test in question. The problem becomes apparent when filling in e.g. version 1, 3, 6, 10 and 15 (all
correct answers) - all version should have the same number of points, the only difference are two questions which are given either as /AMCinterval or
/AMCnumericChoice (both worth 5 points). In this example, the grading of the /AMClnterval question leads to a later question gaining 5 points (QMone

and gMtwo, should be 3, gets 8 points) ...

| am stumped why the order (or type) of one question can change the points value of another question; | would be very happy if someone could point

out the error that | made -- that would be the easiest solution -- but otherwise this would be some pretty major bug in this otherwise very helpful program

12/06/2015 10:38 pm - Alexis Bienvenlie
- Description changed from | am using the questions below (either interval or numeric) in a 16-paper random-order test for my students.
I would expect to see 0 or 5 points for the interval questions, and 0, 3, or 5 points for the numerical, in accordance with their answers.

What I get after scoring is 0, 2, and 5 for interval, and 0, 2, 3, 5 and 7 (!!) points for the numeric ... any ideas what is wrong here?

\element{keplerSkill}{

0 \begin{question}{cometApohelinterval}\scoring{e=0,v=0,b=5,m=0}

0\FPeval\FOnef{ trunc(1.0 + trunc(random * 3,0),0) }

0 \FPeval\FTwof{ trunc(5.0 + 2*trunc(random * 2,0),0) }

0\FPeval\RMin{ (trunc(2 + random * 4,1)) }

0 \FPevallRMax{ ((FOne + FTwo) / (FTwo - FOne) * RMin) }

0 lcalcQuestion{} A comet with a perihelion (closest distance to the sun) of \RMin ~AU (astronomical units) has an eccentricity $\epsilon$ of
$\frac{\FOne}{\FTwo}$. What is its aphelion (in AU)? Select the right interval.~(5 points)
0 \begin{multicols}{4}

0 \begin{choices}[o]

00 \AMClintervals{\RMax}{2}{25}{2}

0 \end{choices}

0 lend{multicols}

0 \end{question}

}

\element{keplerSkill}{

0 \begin{questionmultx}{cometApohelNumChoice}

0\FPeval\FOnef{ trunc(1 + trunc(random * 3,0),0) }

0 \FPeval\FTwof{ trunc(5 + 2*trunc(random * 2,0),0) }

0\FPeval\RMin{ trunc(2 + random * 4,1) }

0 \FPevallRMax{ ((FOne + FTwo) / (FTwo - FOne) * RMin) }

0 lcalcQuestion{} A comet with a perihelion (closest distance to the sun) of \RMin~AU (astronomical units) has an excentricity $\epsilon$ of
$\frac\FOne\FTwo$. What is its apohelion (in AU)? Calculate the value to one decimal.~(5 points)

0 \AMCnumericChoices{\RMax}{digits=3,decimals=1,sign=true,

00 borderwidth=0pt,backgroundcol=white, exact=2, approx=>5,

00 scoreexact=5, scoreapprox=3}
0 \end{questionmultx}
} to | am using the questions below (either interval or numeric) in a 16-paper random-order test for my students.
I would expect to see 0 or 5 points for the interval questions, and 0, 3, or 5 points for the numerical, in accordance with their answers.

What I get after scoring is 0, 2, and 5 for interval, and 0, 2, 3, 5 and 7 (!!) points for the numeric ... any ideas what is wrong here?

<pre>
\element{keplerSkill}{

0 \begin{question}{cometApohelinterval}\scoring{e=0,v=0,b=5,m=0}

0\FPeval\FOne{ trunc(1.0 + trunc(random * 3,0),0) }

0 \FPeval\FTwof{ trunc(5.0 + 2*trunc(random * 2,0),0) }

0\FPeval\RMin{ (trunc(2 + random * 4,1)) }

0 \FPevallRMax{ ((FOne + FTwo) / (FTwo - FOne) * RMin) }

0 lcalcQuestion{} A comet with a perihelion (closest distance to the sun) of \RMin ~AU (astronomical units) has an eccentricity $\epsilon$ of
$\frac{\FOne}{\FTwo}$. What is its aphelion (in AU)? Select the right interval.~(5 points)

0 \begin{multicols}{4}

0 \begin{choices}[o]

00 \AMClintervals{\RMax}{2}{25}{2}

0 \end{choices}

0 lend{multicols}

0 \end{question}

}

\element{keplerSkill}{

0 \begin{questionmultx}{cometApohelNumChoice}

0\FPeval\FOnef{ trunc(1 + trunc(random * 3,0),0) }

0 \FPeval\FTwof{ trunc(5 + 2*trunc(random * 2,0),0) }

0\FPeval\RMin{ trunc(2 + random * 4,1) }

0 \FPevallRMax{ ((FOne + FTwo) / (FTwo - FOne) * RMin) }

0 lcalcQuestion{} A comet with a perihelion (closest distance to the sun) of \RMin~AU (astronomical units) has an excentricity $\epsilon$ of
$\frac\FOne\FTwo$. What is its apohelion (in AU)? Calculate the value to one decimal.~(5 points)

0 \AMCnumericChoices{\RMax}{digits=3,decimals=1,sign=true,
00 borderwidth=0pt,backgroundcol=white, exact=2, approx=>5,
00 scoreexact=5, scoreapprox=3}

0 \end{questionmultx}

}

</pre>

12/06/2015 10:50 pm - Alexis Bienvenlie

Could you provide a minimal working example? | mean the _shortest possible_ source file that shows this problem.

12/08/2015 07:05 pm - Gerhard Blab

- File QuizTestMinimal.tbz2 added

Thank you for your quick response and for tackling this issue!

| have attached a three-question example. The value of a multiple-choice question (QMone) changes from 3 to 8 points depending on whether a second
question is an interval(exams 1 and 2) or numChoice (exams 3 and 4) version. | do not think | can reduce it any further.

Alexis Bienveniie wrote:
> Could you provide a minimal working example? | mean the _shortest possible_ source file that shows this problem.

12/08/2015 09:56 pm - Alexis Bienvenlie
In the definition of @mGinterval@, the @\scoring@ command should be called _inside_ the @question@ environment, otherwise this also applies to

other questions.

12/09/2015 09:59 am - Gerhard Blab
Thank you, and apologies for the obvious mistake - | would not have found it in 100 years ... Merci!

Alexis Bienvenlie wrote:

> In the definition of @mGinterval@, the @\scoring@ command should be called _inside_ the @question@ environment, otherwise this also applies to

other questions.

02/02/2016 07:48 am - Alexis Bienvenie
- % Done changed from 0 to 100

- Status changed from New to Closed

Files

source.tex 2.9kB 12/04/2015 Gerhard Blab
minimal.tex 5.5kB 12/04/2015 Gerhard Blab
DOC-sujet.pdf 297.6 kB 12/04/2015 Gerhard Blab
QuizTestMinimal.csv 395 Bytes 12/04/2015 Gerhard Blab
QuizTestMinimal.tbz2 281 kB 12/08/2015 Gerhard Blab
